Malgin's blog

By Malgin, 8 years ago, In Russian,

Всем привет.

Это будет моей дебютной записью на codeforces.ru.
Однажды я целый день мучился с настройкой APC для PHP под Windows, и после этого решил создать для себя заметку вКонтакте. Недавно она сэкономила мне кучу времени, надеюсь, кому то тоже пригодится.

В официальной документации говорится

A DLL for this PECL extension is currently unavailable. See also the building on Windows section

Всё оказалось очень просто: идём по ссылке http://downloads.php.net/pierre/ и выбираем необходимое нам расширение.

имя пакета содержит всю информацию, необходимую для понимания, какой пакет вам нужен. Например:
php_apc-3.1.5-5.3-nts-vc9-x86.zip
здесь:
php_apc — название пакета
3.1.5 — версия расширения
5.3 — версия PHP, для которой предназначен пакет
nts — non-thread-safe — выбирайте пакет БЕЗ этого значения (если точно не уверены, что делаете)
vc9 — означает, что этот пакет скомпилирован Visual Studio 2008. Как говорится на официальном сайте "Если вы используете Apache 1 или Apache 2, качайте версию VC6, а под IIS — VC9" Это говорится о РНР, следовательно, и для расширений для него это тоже справедливо.

И так, нужный пакет APC для РНР 5.3.* под винду на апаче — php_apc-3.1.5-5.3-vc6-x86
Впрочем, мне почему то VC6 на моём апаче 2.2 не подошёл, пришлось ставить VC9, то бишь
php_apc-3.1.5-5.3-vc9-x86

Read more »

 
 
 
 
  • Vote: I like it
  • +22
  • Vote: I do not like it